Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi
Class MuleCallAnnotationHandler

    java.lang.Object
      org.mule.module.ibeans.spi.MuleCallAnnotationHandler

All Implemented Interfaces:
  org.ibeans.api.ClientAnnotationHandler

Direct Known Subclasses:
  MuleMockCallAnnotationHandler

    public class MuleCallAnnotationHandler

extends Object
implements org.ibeans.api.ClientAnnotationHandler

Used to Handle `Call` annotated method calls.

Field Summary
`static String` | `DEFAULT_METHOD_NAME_TOKEN`
`protected static Log` | `logger`
`protected Map<String,InterfaceBinding>` | `routers`

Constructor Summary
`MuleCallAnnotationHandler(MuleContext muleContext)`

Method Summary
`void` | `addRouterForInterface(InterfaceBinding router)`
`String` | `getScheme(Method method)`
`org.ibeans.api.Response` | `invoke(org.ibeans.api.InvocationContext ctx)`
`void` | `setFlow(IBeanFlowConstruct flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_METHOD_NAME_TOKEN

    public static final String DEFAULT_METHOD_NAME_TOKEN

See Also:
  Constant Field Values

### logger

    protected static Log logger

### routers

    protected Map<String,InterfaceBinding> routers

Constructor Detail

### MuleCallAnnotationHandler

    public MuleCallAnnotationHandler(MuleContext muleContext)

Method Detail

### setFlow

    public void setFlow(IBeanFlowConstruct flow)

### addRouterForInterface

    public void addRouterForInterface(InterfaceBinding router)

### invoke

    public org.ibeans.api.Response invoke(org.ibeans.api.InvocationContext ctx)
                                   throws Exception

  Specified by:
    `invoke` in interface `org.ibeans.api.ClientAnnotationHandler`
  Throws:
    `Exception`

### getScheme

    public String getScheme(Method method)

  Specified by:
    `getScheme` in interface `org.ibeans.api.ClientAnnotationHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.